using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Diagnostics;

namespace SliderTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private Thumb selectionStartThumb;
        private Thumb selectionEndThumb;

        public MainWindow()
        {
            
            InitializeComponent();
        }

        private void Slider_Loaded(object sender, RoutedEventArgs e)
        {
            var thumbs = this.slider.ChildrenOfType<Thumb>();

            this.selectionStartThumb = thumbs.FirstOrDefault(x => x.Name.Equals("RangeStartThumb"));
            this.selectionEndThumb = thumbs.FirstOrDefault(x => x.Name.Equals("RangeEndThumb"));
        }

        private void slider_SelectionStartChanged(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
           
        }

        private void slider_SelectionEndChanged(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            
        }

        private void slider_DragCompleted(object sender, RadDragCompletedEventArgs e)
        {
            
        }

        private void slider_SelectionChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
            
        }
    }
}
